return {
  "windwp/nvim-autopairs",
  event = "InsertEnter",
  config = function()
    require("nvim-autopairs").setup({
      check_ts = true,      -- use Treesitter (smarter)
      disable_filetype = { "TelescopePrompt", "vim" },
    })
  end,
}

